## MateMixerStoredControl MateMixerStoredControl |

## Functions

MateMixerDirection | mate_mixer_stored_control_get_direction ()

## Properties

MateMixerDirection | direction | Read / Write / Construct Only

## Types and Values

| MateMixerStoredControl
struct | MateMixerStoredControlClass

## Object Hierarchy

        GObject
        ╰── MateMixerStreamControl
            ╰── MateMixerStoredControl

## Description

## Functions

### mate_mixer_stored_control_get_direction ()

    MateMixerDirection
    mate_mixer_stored_control_get_direction
                                   (MateMixerStoredControl *control);

#### Parameters

control | a MateMixerStoredControl |

## Types and Values

### MateMixerStoredControl

    typedef struct _MateMixerStoredControl MateMixerStoredControl;

The MateMixerStoredControl structure contains only private data and should only be accessed using the provided API.

### struct MateMixerStoredControlClass

    struct MateMixerStoredControlClass {
        MateMixerStreamControlClass parent_class;
    };

The class structure for MateMixerStoredControl.

#### Members

## Property Details

### The `“direction”` property

      “direction”                MateMixerDirection

Direction of the stored control.

Owner: MateMixerStoredControl

Flags: Read / Write / Construct Only

Default value: MATE_MIXER_DIRECTION_UNKNOWN